# 当前兼容的设备协议和驱动

## 协议

当前，Shifu支持下列协议与设备进行交互：

1. HTTP
2. [MQTT](https://github.com/Edgenesis/shifu/tree/main/examples/mqttDeviceShifu)
3. [RTSP for streaming](https://github.com/Edgenesis/shifu/tree/main/examples/rtspDeviceShifu)
4. [Siemens S7](https://github.com/Edgenesis/shifu/tree/main/examples/siemensPLCDeviceShifu)
5. [TCP socket](https://github.com/Edgenesis/shifu/tree/main/examples/socketDeviceShifu)

## 驱动

Shifu允许用户向平台添加任意驱动，参见[快速上手：添加新的命令行驱动](/getting_started_add_new_commandline_driver.md)。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cn.docs.edgenesis.io/shifu_architecture/supported_device_protocols_and_drivers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
